Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153281 - redhat-config-netboot uses 32bit shared libs on x86_64
Summary: redhat-config-netboot uses 32bit shared libs on x86_64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-netboot
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-04-04 13:52 UTC by Eric Paris
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2005-486
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 19:37:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:486 qe-ready SHIPPED_LIVE redhat-config-netboot bug fix update 2005-09-28 04:00:00 UTC

Description Eric Paris 2005-04-04 13:52:06 UTC
Description of problem:  The initrd created by redhat-config-netboot on a x86_64
system uses the 32bit shared libraries.  All of the binary executables are 64bit
and require the 64bit shared libs in order to work.


Version-Release number of selected component (if applicable):  Latest RHEL3
appears to be broken

How reproducible:  Always


Steps to Reproduce:
1.  Create an initrd on a x86_64 for a x86_64
2.  Watch nothing work
  
Actual results:  32bit shared libraries are installed in /lib


Expected results:  64bit shared libraries should be installing in /lib64


Additional info:  This can be fixed by removing the 32bit libs, adding the 64bit
libs, and then making sure /lib and /lib64 are linked.

Comment 3 Jason Vas Dias 2005-06-09 16:27:05 UTC
This bug is fixed with redhat-config-netboot-0.1.16+, which should be
in RHEL-3-U6, but which meanwhile can be downloaded from:
   http://people.redhat.com/~jvdias/redhat-config-netboot/
Please try out this version and let me know of any issues - thank you.


Comment 6 Red Hat Bugzilla 2005-09-28 19:37:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-486.html



Note You need to log in before you can comment on or make changes to this bug.